main, header, section, footer, aside, nav, article, figure /* varmistaa näiden toiminnan vanhemmissa selaimissa */
{
display: block;
} 

a:link { color: blue }
a:visited { color: black }
a:active { color: red }

body { color: black;
background-color: #c0c0c0;
text-align:"center";
 }

main {
display: table;
width:99%;
height:auto;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 1em;
margin-top: 0px;
padding-top: 0px;
padding-bottom: 1em;
padding-left: 0px;
padding-right: 0px;
background-color:#ffffff;
border: 2px solid #008800;
}

br {  /* käytettävä jos maini on lohko eikä taulukko */
clear:both;
}


h1 { text-align: center;
font-size: 164%;
margin-top: 0px;
margin-bottom: 0.5em;
padding-top: 0.6em;
padding-bottom: 0.6em;
color: #ffffff;
background-color: #008800;
}

h2 { text-align: left;
font-size: 150%;
margin-left: 1em;
margin-bottom: 0.4em;
color: #006600;
}

h4 {
text-align: left;
font-size: 100%;
margin-left: 0px;
margin-bottom: 0.2em;
margin-top: 1em;
padding: 0px;
padding-left: 8px;
color: #004400;
}

h5 {
text-align: left;
font-size: 100%;
font-weight:bold;
margin-left: 0.8em;
margin-bottom: 0.2em;
margin-top: 0.2em;
color: #000000;
}

h6 {
display: block;
text-align: left;
font-size: 100%;
font-weight:normal;
margin-left: 0.8em;
margin-bottom: 0.2em;
margin-top: 0.2em;
color: #000000;
}

ol {
list-style-type: decimal;
list-style-position:inside;
display: block;
float:left;
width:99%;
min-width: 392px;
height:auto;
text-align:left;
margin:0px;
padding: 0px;
padding-left: 4px;
padding-right: 4px;
background-color:#ffffff;
border: 0px solid #909090;
border-left: 0px dotted #008800;
 }

ol li{
list-style-type: decimal;
padding-left:1em;
margin-bottom: 0.2em;
margin-top: 0.2em;
 }

.palsta {  /* Palstat */
-webkit-columns: auto 4; /* Chrome, Safari, Opera */
-moz-columns: auto 4; /* Firefox */
columns: auto 4;
-webkit-column-gap: 1em; /* Chrome, Safari, Opera */
-moz-column-gap: 1em; /* Firefox */
column-gap: 1em;
-webkit-column-rule: 1px dotted #008800; /* Chrome, Safari, Opera */
-moz-column-rule: 1px dotted #008800; /* Firefox */
column-rule: 1px dotted #008800;
}

.palsta2 {  /* Palstat */
-webkit-column-count: 4; /* Chrome, Safari, Opera */
-moz-column-count: 4; /* Firefox */
column-count: 4;
-webkit-column-gap: 1em; /* Chrome, Safari, Opera */
-moz-column-gap: 1em; /* Firefox */
column-gap: 1em;
-webkit-column-rule: 1px dotted #008800; /* Chrome, Safari, Opera */
-moz-column-rule: 1px dotted #008800; /* Firefox */
column-rule: 1px dotted #008800;
}

nav {
width:auto;
min-width: 600px;
clear:none;
text-align:center;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

nav a {
text-decoration:none;
background-color:#c0c0c0;
padding: 0.5em;
padding-left: 1.5em;
padding-right: 1.5em;
margin: 0.3em;
border: 1px solid #a0a0a0;
}

nav a:hover {
color: white;
background-color: green;
}

article {
display: block;
width:99%;
height:auto;
float:none;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 1em;
margin-top: 1em;
padding-top: 1em;
padding-bottom: 1em;
padding-left: 0em;
padding-right: 0em;
background-color: #d8d8d8;
border: 1px solid #909090;
}

p {
text-align:justify;
line-height: 2em;
margin-left: 1.5em;
margin-right: 1.5em;
margin-bottom: 0.5em;
margin-top: 0.5em;
}

.kuvasto a {
text-decoration:none;
color: black;
background-color:#d8d8d8;
padding: 0.2em 0.4em;
margin: 0em;
border: 1px solid #a0a0a0;
}

.kuvasto a:hover {
color: white;
background-color: green;
}

footer {
width:auto;
clear:both;
font-size: smaller;
text-align:center;
margin-top: 2em;
margin-bottom: 3em;
margin-left:auto;
margin-right:auto;
}

@media screen { /* ilman tätä ei IE tunnistanut leveintä palstaa */

.palsta {
-webkit-column-count: 4; /* Chrome, Safari, Opera */
-moz-column-count: 4; /* Firefox */
column-count: 4;
}

}
@media screen and (max-width: 1600px) {

.palsta {
-webkit-column-count: 3; /* Chrome, Safari, Opera */
-moz-column-count: 3; /* Firefox */
column-count: 3;
}

}

@media screen and (max-width: 1200px) {

.palsta {
-webkit-column-count: 2; /* Chrome, Safari, Opera */
-moz-column-count: 2; /* Firefox */
column-count: 2;
}

}

@media screen and (max-width: 800px) {

.palsta {
-webkit-column-count: 1; /* Chrome, Safari, Opera */
-moz-column-count: 1; /* Firefox */
column-count: 1;
}

}

